stages:
  - build
  - release

variables:
  GIT_SUBMODULE_STRATEGY: normal

build:
  stage: build
  image: registry.gitlab.com/islandoftex/images/texlive:latest
  before_script:
    - echo $CI_JOB_ID
    - echo BLD_JOB_ID=$CI_JOB_ID >> build.env
  script:
    - latexmk
  after_script:
    - cat presentation.log
  artifacts:
    paths:
      - presentation.pdf
    reports:
      # To ensure we've access to this file in the release stage
      dotenv: build.env

release:
  stage: release
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  script:
    - echo 'running release_job'
    - echo 'Previous Job ID is printed below'
    - echo $BLD_JOB_ID
  # Specifying that this job requires artifacts from the previous job to succeed
  needs:
    - job: build
      artifacts: true
  rules:
    - if: $CI_COMMIT_TAG
  release:
    name: 'PDF build $CI_COMMIT_SHORT_SHA'
    description: 'Created using the release-cli'
    # tag_name is a mendatory field and can not be an empty string
    tag_name: '$CI_COMMIT_SHORT_SHA'
    assets:
      links:
        - name: 'PDF File'
          url: 'https://git.ecdf.ed.ac.uk/personal-latex-documents/research/alt-dscrptn-coh-mukai/-/jobs/${BLD_JOB_ID}/artifacts/file/main.pdf'
